Bug 146120 - FILEOPEN DOCX Table change tracking at deleted or added rows should be coloured the same way like in Word
Summary: FILEOPEN DOCX Table change tracking at deleted or added rows should be colour...
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:7.4.0 target:7.3.0.0.beta2 inR...
Keywords: filter:docx
Depends on:
Blocks: Track-Changes-Table
  Show dependency treegraph
 
Reported: 2021-12-08 10:47 UTC by NISZ LibreOffice Team
Modified: 2022-01-22 04:22 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Example file from Word with a table (5.12 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2021-12-08 10:48 UTC, NISZ LibreOffice Team
Details
Show tracked table (row) changes with different cell background like MSO does (8.64 KB, image/jpeg)
2021-12-08 10:48 UTC, NISZ LibreOffice Team
Details

Note You need to log in before you can comment on or make changes to this bug.
Description NISZ LibreOffice Team 2021-12-08 10:47:01 UTC
Description:
n writer if change tracking is enabled and rows are deleted or added it has not coloured. In Word there is different colours at different row changes

Steps to Reproduce:
1.Open attached file


Actual Results:
Track changes has 1 type of colour in Writer.

Expected Results:
It should be the same colours like in Word.


Reproducible: Always


User Profile Reset: No



Additional Info:
Version: 7.4.0.0.alpha0+ (x64) / LibreOffice Community
Build ID: 3a61cce54277fd12570103a191c50d9b37ef3dd3
CPU threads: 8; OS: Windows 10.0 Build 18363; UI render: Skia/Raster; VCL: win
Locale: hu-HU (hu_HU); UI: hu-HU
Calc: CL
Comment 1 NISZ LibreOffice Team 2021-12-08 10:48:04 UTC
Created attachment 176793 [details]
Example file from Word with a table
Comment 2 NISZ LibreOffice Team 2021-12-08 10:48:42 UTC
Created attachment 176794 [details]
Show tracked table (row) changes with different cell background like MSO does
Comment 3 Commit Notification 2021-12-08 12:08:14 UTC
László Németh committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/f348440e17debacbcba9153e238e010e8c020bdc

tdf#146120 sw: show tracked table changes with different color

It will be available in 7.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2021-12-08 13:13:14 UTC
László Németh committed a patch related to this issue.
It has been pushed to "libreoffice-7-3":

https://git.libreoffice.org/core/commit/c6af542a31e167e5a01908d049e399ce06a5e4e4

tdf#146120 sw: show tracked table changes with different color

It will be available in 7.3.0.0.beta2.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 NISZ LibreOffice Team 2022-01-04 13:03:10 UTC
Verified in:
Version: 7.4.0.0.alpha0+ (x64) / LibreOffice Community
Build ID: 8f0ce842dffe229d31bd9841ac6e999da1ae976d
CPU threads: 8; OS: Windows 10.0 Build 18363; UI render: Skia/Vulkan; VCL: win
Locale: hu-HU (hu_HU); UI: hu-HU
Calc: CL
Comment 6 Stéphane Guillou (stragu) 2022-01-22 04:22:55 UTC
Also verified in 7.3:

Version: 7.3.0.2 / LibreOffice Community
Build ID: f1c9017ac60ecca268da7b1cf147b10e244b9b21
CPU threads: 8; OS: Linux 5.4; UI render: default; VCL: gtk3
Locale: en-AU (en_AU.UTF-8); UI: en-US
Calc: threaded